"""
    ContentIndex
    ============
 
Index a folder, or branch of folders. Optionally display custom icons based
on the content type of the data in the indexed objects.                         
"""
# $Id: __init__.py,v 1.3 2001/10/22 11:12:11 adrian Exp $
#
# $Log: __init__.py,v $
# Revision 1.3  2001/10/22 11:12:11  adrian
# no message
#
# Revision 1.2  2001/10/21 13:40:00  adrian
# no message
#
#
__version__ = '$Revision: 1.3 $'[11:-2]

from Globals import package_home
from ImageFile import ImageFile
from OFS.Image import Image
from os.path import join
import ContentIndex

Icons = (
    ('excel.gif', 'application/vnd.ms-excel'),
    ('word.gif', 'application/msword'),
    ('powerpoint.gif', 'application/x-mspowerpoint'),
    ('pdf.gif', 'application/pdf'),
    ('zip.gif', 'x-zip-compressed'),
)

def initialize(context):
    """ Initialize this product """
    app = context._ProductContext__app
    if not hasattr(app, ContentIndex.ContentIndexIcons.id):
        obj = ContentIndex.ContentIndexIcons()
        app._setObject(obj.id, obj)
        for Icon in Icons:
            file = open(join(package_home(globals()), 'icons', Icon[0]), 'rb')
            img = Image(id=Icon[0], file=file.read(), title=Icon[1])
            file.close()
            obj._setObject(img.getId(), img)
        get_transaction().note('Added Content Index Icon Object')
        get_transaction().commit()
    context.registerClass(
        ContentIndex.ContentIndex,
        meta_type = 'Content Index',
        permission = 'Add Content Indexes',
        icon='www/ContentIndex.gif',
        constructors=(
            ContentIndex.manage_addContentIndexForm,
            ContentIndex.manage_addContentIndex,
        ),
    )
    context.registerClass(
        ContentIndex.ContentIndexIcons,
        meta_type = 'Content Index Icon Folder',
        permission = 'Add Content Index Icon Folders',
        icon='www/ContentIndex.gif',
        constructors=(
            ContentIndex.manage_addContentIndexIcons,
        ),
    )
    context.registerHelpTitle('Content Index')
    context.registerHelp()
